This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 827833 - (CVE-2012-0441) CVE-2012-0441 nss: NSS parsing errors with zero length items
CVE-2012-0441 nss: NSS parsing errors with zero length items
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120605,repor...
: Security
Depends On: 830304 833480 834491 834492 834493 835017
Blocks: 827834
  Show dependency treegraph
 
Reported: 2012-06-03 04:48 EDT by Huzaifa S. Sidhpurwala
Modified: 2012-07-18 03:26 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-18 03:26:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2012-06-03 04:48:28 EDT
Security researcher Kaspar Brand found a flaw in how the Network Security Services (NSS) ASN.1 decoder handles zero length items. Effects of this issue depend on the field. One known symptom is an unexploitable crash in handling OCSP responses. NSS also mishandles zero-length basic constraints, assuming default values for some types that should been rejected as malformed.

Reference:
http://www.mozilla.org/security/announce/2012/mfsa2012-39.html
Comment 2 Elio Maldonado Batiz 2012-06-18 21:06:44 EDT
From https://bugzilla.mozilla.org/show_bug.cgi?id=CVE-2012-0441 this was addressed on nss-3.13.4.
Comment 4 Huzaifa S. Sidhpurwala 2012-06-22 01:11:03 EDT
This issue does not affect the version of nss as shipped with Fedora 16 and 17, since its already updated to 3.13.4
Comment 7 errata-xmlrpc 2012-07-17 14:17:53 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:1091 https://rhn.redhat.com/errata/RHSA-2012-1091.html
Comment 8 errata-xmlrpc 2012-07-17 14:18:45 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2012:1090 https://rhn.redhat.com/errata/RHSA-2012-1090.html

Note You need to log in before you can comment on or make changes to this bug.